<!DOCTYPE html>
<title>COLRv1 test font visual rendering test</title>
<link rel="help" href="https://www.w3.org/TR/css-fonts-4/#font-face-src-parsing" />
<link rel="author" href="drott@chromium.org" />
<meta name="assert" content="Checks that COLRv1 glyphs are displayed in color." />
<meta charset="utf8">
<style>
@font-face {
  font-family: colrv1_samples;
  src: url(resources/more_samples-glyf_colr_1.ttf);
}

.colrv1 {
  font: 40px/1 colrv1_samples, monospace;
  word-break: break-all;
}

.two_columns {
    display: flex;
}

.column {
    flex: 1;
}
</style>
Test passes if only color glyphs are seen below. Basic sanity check for COLRv1 rendering, additional testing is done in
the Skia GM test for COLRv1, see Skia's gm/colrv1.cpp for details.

<div class="two_columns">
  <div class="column">
    <div class="colrv1">adefg<br>hijklm<br>nopqrs<br>tuvw<br>xyzABC<br>DEFG<br>HIJKL<br>MNOPQRS<br></div>

    The following two rows must feature purple (first row) and green (second row) in the glyph gradients.
    <div class="colrv1" style="color: purple;">TUVWXYZ</div>
    <div class="colrv1" style="color: green;">TUVWXYZ</div>
  </div>
  <div class="column">
    <div class="colrv1">a456789α<br>βγδεζηθι<br>κλμνξοπρ</div>
  </div>
</div>
